> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spellit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение транскрипции

> Получение транскрипции для указанного item_set в проекте. Требуется авторизация.



## OpenAPI

````yaml GET /transcription?id_project={id_project}&id_item_set={id_item_set}
openapi: 3.1.0
info:
  title: SpellIt API
  description: >-
    API для обработки Items через создание проекта, загрузку Item Set и загрузку
    Items
  version: 1.0.0
servers:
  - url: https://api.spellit.ai/api/
security: []
paths:
  /transcription?id_project={id_project}&id_item_set={id_item_set}:
    get:
      description: >-
        Получение транскрипции для указанного item_set в проекте. Требуется
        авторизация.
      parameters:
        - name: id_project
          in: query
          required: true
          description: ID проекта
          schema:
            type: integer
        - name: id_item_set
          in: query
          required: true
          description: ID item_set
          schema:
            type: integer
      responses:
        '200':
          description: Успешное получение транскрипции
          content:
            application/json:
              schema:
                type: object
                properties:
                  item_set_id:
                    type: integer
                  created_at:
                    type: string
                    format: date-time
                  transcription:
                    type: object
                    properties:
                      output:
                        type: string
                      google_doc:
                        type: string
              examples:
                default:
                  value:
                    item_set_id: 123
                    created_at: '2025-05-26T22:25:58.936694+00:00'
                    transcription:
                      output: >-
                        ```

                        00:00:02.371 - Продавец: "Александра, здравствуйте."

                        00:00:04.513 - Продавец: "Здравствуйте."

                        00:00:05.874 - Продавец: "Меня зовут Анастасия."

                        00:00:06.775 - Продавец: "Звоню вам из компании по
                        поводу."

                        00:00:09.130 - Продавец: "Оставляли заявку у нас?"

                        00:00:11.909 - Клиент: "Да-да-да, я оставляла, да."

                        00:00:14.739 - Продавец: "Хорошо."...```
                      google_doc: https://docs.google.com/document/...
        '400':
          description: Неверные параметры запроса
          content:
            application/json:
              example:
                detail: id_project is required
        '401':
          description: Ошибка аутентификации
          content:
            application/json:
              example:
                detail: Invalid auth
        '422':
          description: Ошибка валидации
          content:
            application/json:
              example:
                detail: Invalid input data
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-Access-Key
      description: API-ключ для доступа к эндпоинтам
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT-токен для авторизации (Bearer Token)

````